/*
 * Copyright (C) 2007 Johan Maasing johan at zoom.nu Licensed under the Apache
 * License, Version 2.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law
 * or agreed to in writing, software distributed under the License is
 * distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package nu.zoom.catonine.swing.rule;

import javax.swing.JLabel;

import nu.zoom.catonine.stylerule.StyleRules;
import nu.zoom.swing.field.IntegerField;

/**
 * A validating input field for entering the internal tailer buffer size.
 * 
 * @author "Johan Maasing" &lt;johan@zoom.nu&gt;
 * 
 */
public class BufferSizeField extends IntegerField {
	private static final long serialVersionUID = 1L;
	private StyleRules list;

	public BufferSizeField(final StyleRules list, final JLabel fieldLabel) {
		super(fieldLabel, 10);
		this.list = list;
	}

	@Override
	protected void validationPassed() {
		super.validationPassed();
		int bufferSize = Integer.parseInt(getText()) * 1024;
		list.setBufferSize(bufferSize);
	}
}
