/*
 * Copyright (C) 2006 Johan Maasing johan at zoom.nu Licensed under the Apache
 * License, Version 2.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law
 * or agreed to in writing, software distributed under the License is
 * distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package nu.zoom.catonine.swing.rule;

import java.util.regex.Pattern;

import javax.swing.JLabel;

import nu.zoom.catonine.stylerule.StyleRules;
import nu.zoom.swing.field.PatternField;

/**
 * A validating field for log block divider regular expressions.
 * 
 * @author "Johan Maasing" &lt;johan@zoom.nu&gt;
 * 
 */
class LogBlockPatternField extends PatternField {
	private static final long serialVersionUID = 1L;
	private StyleRules list;

	public LogBlockPatternField(StyleRules tailer, JLabel label) {
		super(label, 10);
		this.list = tailer;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see nu.zoom.swing.field.LabeledValidatingField#validationPassed()
	 */
	@Override
	protected void validationPassed() {
		super.validationPassed();
		list.setLogBlockPattern(Pattern.compile(getText()));
	}

}